import request from '@/plugin/axios'



export function faceTreeNode (data) {
  return request({
    url: '/tree/getFaceTrees',
    method: 'post',
    data
  })
}





//编辑回显--
export function getFaceReaderById (data) {
  return request({
    url: '/face/getFaceReaderById',
    method: 'post',
    data
  })
}


//区域树--
export function TreeNodeMt (data) {
  return request({
    url: '/tree/getEquipmentFixTrees',
    method: 'post',
    data
  })
}

// 创建链接
export function saveOrUpdataConnect (data) {
  return request({
    url: '/face/getCreateConnection',
    method: 'post',
    data
  })
}
//新增,编辑--
export function saveOrUpdataFaceReader (data) {
  return request({
    url: '/face/saveOrUpdataFaceReader',
    method: 'post',
    data
  })
}


//批量删除--
export function deleteFaceList (data) {
  return request({
    url: '/face/delFaceReaderById',
    method: 'post',
    data
  })
}


//查询列表--
export function getFaceReaderList (data) {
  return request({
    url: '/face/getFaceReaderByPage',
    method: 'post',
    data
  })
}
// 同步tongbuDevice
export function tongbuDevice (data) {
  return request({
    url: '/face/getReaderSync',
    method: 'post',
    data
  })
}
// 修改配置回显
export function getRowSetting (data) {
  return request({
    url: '/face/getFaceConfigById',
    method: 'post',
    data
  })
}
// 修改配置保存
export function saveOrUpdataSetting (data) {
  return request({
    url: '/face/saveUpdataFaceConfig',
    method: 'post',
    data
  })
}
